Bug 711166 - Fluxbox crashes on exit
Summary: Fluxbox crashes on exit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fluxbox
Version: 15
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-06 17:39 UTC by Jean-Christophe G.
Modified: 2011-11-21 22:56 UTC (History)
2 users (show)

Fixed In Version: fluxbox-1.3.2-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-21 22:56:42 UTC
Type: ---


Attachments (Terms of Use)

Description Jean-Christophe G. 2011-06-06 17:39:40 UTC
Description of problem:
Fluxbox crashes on exit. But Xorg keeps running.
So, ctrl+alt+backspace must be pressed to leave Xorg.

Version-Release number of selected component (if applicable):
fluxbox-1.3.1-1.fc15.x86_64
glibc-2.13.90-9.x86_64

How reproducible:
Click on "Exit" in the fluxbox menu

Additional info:
There is the following message on the text console after the fluxbox crash :
*** glibc detected *** fluxbox: corrupted double-linked list: 0x0000000001573f70 ***
Fluxbox remains in memory after the crash and must be killed (through a text console) that way:
killall -9 fluxbox

Comment 1 lytithwyn 2011-09-21 21:16:55 UTC
I am seeing the same thing on the x86 platform.  It closed right once or twice, then start crashing with the same "corrupted double-linked list" error in .xsession-errors.

Comment 2 Fedora Update System 2011-11-06 21:44:03 UTC
fluxbox-1.3.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fluxbox-1.3.2-1.fc16

Comment 3 Fedora Update System 2011-11-06 21:52:11 UTC
fluxbox-1.3.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fluxbox-1.3.2-1.fc15

Comment 4 Fedora Update System 2011-11-07 08:54:55 UTC
Package fluxbox-1.3.2-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fluxbox-1.3.2-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15524
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-11-21 22:53:16 UTC
fluxbox-1.3.2-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-11-21 22:56:42 UTC
fluxbox-1.3.2-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.